動かざることバグの如し

静かに頬を伝う涙が 私に知らせる これが初恋と

rbenvでインストールした全バージョンのrubyに一括gem installするスクリプト

何がしたいか

VS codeを使うようになったんだけど、Rubyの保管をするために拡張機能でsolargraphをインストールした

これは非常に便利で、まぁruby書くなら必須拡張機能だよね、ってことでおすすめなんだけど、1点欠点があって、rubyのライブラリに依存している点

インストールしないと

Solargraph gem not found

と怒られる。対処は簡単で、

gem install solargraph

してVS codeを再起動すればいいんだけど、rbenvでrubyのバージョンを複数インストールしているとツラい。なぜならバージョンごとによって当然gemのsolargraphも管理されているわけで、全バージョンにインストールしないと毎回VS codeに怒られる。てかsolargraphが使えない。

対処法

自動で一括インストールするシェルスクリプト書いた。

eval "$(rbenv init -)"
for v in `rbenv versions --bare`
do
rbenv shell $v
ruby -v
gem install solargraph
done

これで各バージョンに対してgem install solargraphが実行される。ビルドが多いので、結構時間かかるかも(